/*
 * GccApplication20.c
 *
 * Created: 14.05.2016 17:19:14
 *  Author: Tobi
 */ 

//
// Anpassungen im makefile:
//    ATMega8 => MCU=atmega8 im makefile einstellen
//    lcd-routines.c in SRC = ... Zeile anhngen
//
#include <avr/io.h>
#include "lcd-routines.h"

int main(void)
{
	// Initialisierung des LCD
	// Nach der Initialisierung mssen auf dem LCD vorhandene schwarze Balken
	// verschwunden sein
	lcd_init();
	
	// Text in einzelnen Zeichen ausgeben
	lcd_data( 'T' );
	lcd_data( 'e' );
	lcd_data( 's' );
	lcd_data( 't' );
	
	// Die Ausgabemarke in die 2te Zeile setzen
	lcd_setcursor( 0, 2 );
	
	// erneut Text ausgeben, aber diesmal komfortabler als String
	lcd_string("Hello World!");
	
	while(1)
	{
	}
	
	return 0;
}